Bug 258149 - [new port] devel/py-jsonpath-ng: a final implementation of JSONPath for Python that aims to be standard Xcompliant
Summary: [new port] devel/py-jsonpath-ng: a final implementation of JSONPath for Pytho...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dries Michiels
URL:
Keywords:
Depends on:
Blocks: 258151 260045
  Show dependency treegraph
 
Reported: 2021-08-29 20:18 UTC by Kekschen
Modified: 2021-11-27 16:23 UTC (History)
2 users (show)

See Also:


Attachments
SHAR file to create py-jsonpath-ng port (2.13 KB, text/plain)
2021-08-29 20:18 UTC, Kekschen
no flags Details
new port: devel/py-jsonpath-ng (patch v2) (1.84 KB, patch)
2021-11-26 11:39 UTC, Frank Wall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kekschen 2021-08-29 20:18:24 UTC
Created attachment 227537 [details]
SHAR file to create py-jsonpath-ng port

[NEW] devel/py-jsonpath-ng: new port to 1.5.3

is required for py-opn-cli 0.6.6 update
Comment 1 Dries Michiels freebsd_committer 2021-11-26 08:33:17 UTC
Hi, thanks for the patch! LGTM except PORTVERSION, please use DISTVERSION. Could you rebase?
Comment 2 Frank Wall 2021-11-26 11:39:02 UTC
Created attachment 229739 [details]
new port: devel/py-jsonpath-ng (patch v2)

Hi, I've updated the patch to use DISTVERSION.
Comment 3 commit-hook freebsd_committer 2021-11-27 16:23:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=516de6f948d8d2998c53fe0bbe13f83b469daf13

commit 516de6f948d8d2998c53fe0bbe13f83b469daf13
Author:     Michael Boehm <michael.boehm@markt.de>
AuthorDate: 2021-11-26 17:58:03 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-11-27 16:18:01 +0000

    devel/py-jsonpath-ng: New port

    JSONPath implementation based on jsonpath-rw and jsonpath-rw-ext.

    PR:                     258149
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33135

 devel/Makefile                       |  1 +
 devel/py-jsonpath-ng/Makefile (new)  | 21 +++++++++++++++++++++
 devel/py-jsonpath-ng/distinfo (new)  |  3 +++
 devel/py-jsonpath-ng/pkg-descr (new) |  9 +++++++++
 4 files changed, 34 insertions(+)
Comment 4 Dries Michiels freebsd_committer 2021-11-27 16:23:56 UTC
Committed, thanks for the patch!